Package com.independentsoft.office.vml

# Enum Class AlternateTextLayoutFlow

java.lang.Object
java.lang.Enum<AlternateTextLayoutFlow>
com.independentsoft.office.vml.AlternateTextLayoutFlow

All Implemented Interfaces:
  `Serializable`, `Comparable<AlternateTextLayoutFlow>`, `Constable`

public enum AlternateTextLayoutFlow extends Enum<AlternateTextLayoutFlow>
The Enum AlternateTextLayoutFlow.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM_TO_TOP`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AlternateTextLayoutFlow`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static AlternateTextLayoutFlow[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOTTOM_TO_TOP

    public static final AlternateTextLayoutFlow BOTTOM_TO_TOP

  - ### NONE

    public static final AlternateTextLayoutFlow NONE

- ## Method Details

  - ### values

    public static AlternateTextLayoutFlow[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AlternateTextLayoutFlow valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null